LASTCOMM(1)

NIMI
lastcomm - tulosta tietoa aiemmin suoritetuista komennoista.

YLEISKATSAUS

lastcomm
    [ komennonnimi ... ]
    [ käyttäjänimi ... ]
    [ pääte ... ]
    [ VALITSIN ... ]

KUVAUS

lastcomm tulostaa tietoa aiemmin suoritetuista komennoista. Jos komennolle ei ole annettu optioita, lastcomm tulostaa tiedostosta /var/log/pacct kaikki tallennetut tiedot suoritetuista komennoista. Jos komentoa kutsutaan parametrein komennonnimi, käyttäjänimi tai pääte vain määritelmiin täsmäävät tietueet näytetään. Esimerkiksi nähdäksesi ketkä suorittivat komennon `a.out' tai olivat kirjautuneena päätteellä `tty0', anna komento:
lastcomm a.out tty0

Komento tulostaa tietueet jotka koskevat suoritettua komentoa `a.out' tai komentoja jotka suoritettiin päätteeltä `tty0', molempien ehtojen ei tarvitse siis täsmätä yhtäaikaa. Käytä '-strict-match' optiota, jos haluat että tietueiden on täsmättävä kaikkiin annettuihin ehtoihin. Esimerkiksi tulostaaksesi kaikki käyttäjän root käynnistämät a.out komennot päätteellä tty0, anna komento:
lastcomm --strict-match --command a.out --user root --tty tty0

Parametrien järjestys on merkityksetön.

For each entry the following information is printed:
   + command name of the process
   + flags, as recorded by the system accounting routines:
        S -- command executed by super-user
        F -- command executed after a fork but without a following exec
        C -- command run in PDP-11 compatibility mode (VAX only)
        D -- command terminated with the generation of a core file
        X -- command was terminated with the signal SIGTERM
   + the name of the user who ran the process
   + time the process started

VALITSIMET
--strict-match
    Tulostaa ainoastaan jokaiseen annettuun ehtoon täsmäävät tietueet.
--print-controls
    Print control characters.
--user nimi
    Tulostaa tietueet käyttäjästä nimi. Tämä on on käytännöllinen, jos käyttäjänimi on sama kuin jokin komento.
--command komento
    Tulostaa tietueet komennolle komento.
--tty pääte
    Tulostaa tietueet päätteelle pääte.
--forwards
    Read file forwards instead of backwards. This avoids trying to seek on the file and can be used to read from a pipe. This must be specified prior to any -f arguments.
-f tiedosto, --file tiedosto
    Read from the file filename instead of acct. A filename of "-" will result in reading from stdin. This must either be the first -f option, or --forwards must precede all -f options.
--ahz hz
    Use this flag to tell the program what AHZ should be (in hertz). This option is useful if you are trying to view an acct file created on another machine which has the same byte order and file format as your current machine, but has a different value for AHZ.
-p, --show-paging
    Print paging statistics.
--pid
    Show PID and PPID of the process if acct version 3 format is supported by kernel.
--pid
    Add pid of the process and pid of the process parent to the output (pid is the last but one and parent pid the last column). These values are shown only when they are generated by acct function (depends on the version of kernel)
--debug
    Tulosta ohjelman sisäistä virheenjäljitys tietoa.
-V, --version
    Tulosta lastcomm :n versionumero.
-h, --help
    Tulostaa käyttöohjeen vakiotulosteena ja poistuu ohjelmasta.

TIEDOSTOT
acct
    The system wide process accounting file. See acct(5) (or pacct(5)) for further details. /var/log/account
        This directory contains pacct files which contain the binary process accounting data as written by the kernel.

TEKIJÄ
GNU accounting apuohjelmat kirjoitti Noel Cragg <noel@gnu.ai.mit.edu>. Englanninkielinen ohje oli mukailtu Susan Kleinmannin (<sgk@sgk.tiac.net>) tekemästä texinfo sivusta.

KATSO MYÖS
last(1), acct(5)

KÄÄNNÖS
Tämän käsikirjan suomenkielisen käännöksen tekivät Tuomo Pyhälä <tuomo@lesti.kpnet.fi>
Tämä käännös on ilmainen dokumentaatio; katso tekijänoikeusehdot GNU General Public License -versiosta 3 (https://www.gnu.org/licenses/gpl-3.0.html) tai uudemmasta. Emme ota vastuuta.